Jump to content


Photo

MGcamd 1.46


  • Please log in to reply
52 replies to this topic

Re: MGcamd 1.46 #21 alias haha

  • Senior Member
  • 361 posts

+2
Neutral

Posted 31 January 2021 - 08:54

#!/bin/sh
case "$1" in
start)
	ulimit -s 1024
	exec start-stop-daemon -S -x /usr/bin/mgcamd
	;;
stop)
	exec start-stop-daemon -K -R 2 -x /usr/bin/mgcamd
	;;
restart|reload)
	$0 stop
	sleep 1
	$0 start
	;;
version)
	echo "1.45c"
	;;
info)
	echo "mgcamd 1.45c"
	;;
*)
	echo "Usage: $0 start|stop|restart"
	exit 1
	;;
esac
exit 0

Het startscript uit de vu zero, niks speciaals


Vu+ duo 4K | Vu+ duo²

Zgemma H9S SE | Zgemma H9 Combo

Wavefrontier T90


Re: MGcamd 1.46 #22 alias haha

  • Senior Member
  • 361 posts

+2
Neutral

Posted 31 January 2021 - 09:34

Ik kreeg MGcamd dus niet gestopt heb ik gemerkt, en daarna heb ik de

version)
    echo "1.45c"
    ;;
info)
    echo "mgcamd 1.45c"
    ;;

Veranderd in 1.46, maar daar geeft de softcam niks om, als ik heb op hand start via telnet draait MGcamd meteen

root@vuzero:~# cd /usr/bin
root@vuzero:/usr/bin# ./mgcamd
Mgcamd v1.46 by mixvt (Sep 02 2020) for cardsharing.cc
[mg] Net:1:7:2:2s Show ecm:1, emm:1 Up:2 Au:1 Dir:0 Osd:no:88:0 Cache:7 Log:0:19                          2.168.10.5:28007 Reread:0

Dus iemand zou even het startscript voor openpli kunnen herschrijven voor deze MGcamd

 


Vu+ duo 4K | Vu+ duo²

Zgemma H9S SE | Zgemma H9 Combo

Wavefrontier T90


Re: MGcamd 1.46 #23 alias haha

  • Senior Member
  • 361 posts

+2
Neutral

Posted 31 January 2021 - 10:10

#!/bin/sh
### BEGIN INIT INFO
# Provides:          softcam
# Required-Start:    $local_fs
# Required-Stop:     
# Should-Start:      $time $remote_fs cardserver
# Should-Stop:     
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: mgcamd
# Description:       mgcamd SoftCAM, card reader and server.
### END INIT INFO

ONBOOT=0
[ "x$0" = "x/etc/rcS.d/S95softcam" -o "x$0" = "x/etc/rcS.d/S90cardserver" ] && ONBOOT=1
if [ $ONBOOT -eq 1 ]; then
	nohup $(sleep 10 && /etc/init.d/softcam start) &
	exit 0
fi

readlink -f $0 >/dev/null 2>&1
if [ $? -eq 0 ]; then
	CAM=$(basename $(readlink -f $0) | sed s#^softcam\.##)
else
	CAM=$(basename $0 | sed s#^softcam\.##)
fi

[ -x /usr/bin/$CAM ] || exit 1

remove_tmp () {
	rm -rf /tmp/*.info* /tmp/*.tmp*
}

DESC="Softcam service $CAM"
PIDFILE=/var/tmp/${CAM}.pid
DAEMON=/usr/bin/${CAM}

case "$1" in
start)
	if [ -e $PIDFILE ]; then
		PIDDIR=/proc/$(cat $PIDFILE)
		if [ -d ${PIDDIR} ] && [[ $(readlink -f ${PIDDIR}/exe) == $DAEMON ]]; then
			echo "$DESC already started; not starting."
			exit 1
		else
			rm -f $PIDFILE
		fi
	fi
	echo -n "Starting $DESC: "
	ulimit -s 1024
	exec start-stop-daemon -p $PIDFILE -m -S -b -x $DAEMON &
	sleep 0.5
	RETVAL=1
	[ -e $PIDFILE ] && RETVAL=0
	if [ "$RETVAL" -eq "0" ]; then
		echo "OK"
	else
		echo "FAILED"
	fi
	exit $RETVAL
	;;
stop)
	echo -n "Stopping $DESC: "
	kill `cat $PIDFILE 2> /dev/null` 2> /dev/null
	RETVAL=$?
	if [ "$RETVAL" -eq "0" ]; then
		echo "OK"
	else
		echo "FAILED"
	fi
	sleep 1
	killall $CAM 2> /dev/null
	exit $RETVAL
	;;
restart|reload)
	$0 stop
	sleep 1
	$0 start
	exit $?
	;;
status)
	echo -n "$DESC: "
	if [ -e $PIDFILE ]; then
		PIDDIR=/proc/$(cat $PIDFILE)
		if [ -d ${PIDDIR} ] && [[ $(readlink -f ${PIDDIR}/exe) == $DAEMON ]]; then
			echo "Running."
			exit 0
		fi
	fi
	echo "Stopped."
	exit 1
	;;
version)
	echo $CAM
	;;
info)
	echo $CAM
	;;
*)
	echo "Usage: $0 start|stop|restart|status|version|info"
	exit 1
	;;
esac
exit 0


Dit is het start/stopscript uit openatv 6.4, daar is cam wel gewoon te stoppen en starten, ik kan het nu even niet testen omdat ik weg moet.

Mocht iemand anders er zin in hebben....
 


Vu+ duo 4K | Vu+ duo²

Zgemma H9S SE | Zgemma H9 Combo

Wavefrontier T90


Re: MGcamd 1.46 #24 littlesat

  • PLi® Core member
  • 56,274 posts

+691
Excellent

Posted 31 January 2021 - 10:41

Tjonge wat is dat script van openatv onhandig ingewikkeld zeg....
Gewoon ons script gebruiken en dan de binary stoppen met killall - 9 /usr/bin/mgcamd zal het moeten oplossen....

WaveFrontier 28.2E | 23.5E | 19.2E | 16E | 13E | 10/9E | 7E | 5E | 1W | 4/5W | 15W


Re: MGcamd 1.46 #25 HPPli

  • Senior Member
  • 1,882 posts

+36
Good

Posted 31 January 2021 - 14:21

 

Tjonge wat is dat script van openatv onhandig ingewikkeld zeg....
Gewoon ons script gebruiken en dan de binary stoppen met killall - 9 /usr/bin/mgcamd zal het moeten oplossen....

 

Werkt wel bij OpenATV, overigens is het script welke @Alias toont (post 21) gewoon jullie script ;)  M.a.w. afwijkend gezien je opmerking over stoppen met killall regel. :)


Edited by HPPli, 31 January 2021 - 14:23.


Re: MGcamd 1.46 #26 WanWizard

  • PLi® Core member
  • 68,625 posts

+1,739
Excellent

Posted 31 January 2021 - 14:28

Er zijn issues in OpenPLi 8 door bugs in glibc, en een van de effecten die ik gemerkt heb is dat een gewone "kill" soms niet lijkt te werken. "killall" of "kill -9" wel.

 

Dus dat kan wel gerelateerd zijn. Kortom, het werkt allemaal wel, alleen de stop (en dus restart) geeft problemen?


Currently in use: VU+ Duo 4K (2xFBC S2), VU+ Solo 4K (1xFBC S2), uClan Usytm 4K Pro (S2+T2), Octagon SF8008 (S2+T2), Zgemma H9.2H (S2+T2)

Due to my bad health, I will not be very active at times and may be slow to respond. I will not read the forum or PM on a regular basis.

Many answers to your question can be found in our new and improved wiki.


Re: MGcamd 1.46 #27 HPPli

  • Senior Member
  • 1,882 posts

+36
Good

Posted 31 January 2021 - 14:39

Inderdaad, wordt een simpele update actie ;)  



Re: MGcamd 1.46 #28 littlesat

  • PLi® Core member
  • 56,274 posts

+691
Excellent

Posted 31 January 2021 - 15:21

#!/bin/sh
case "$1" in
start)
    ulimit -s 1024
    exec start-stop-daemon -S -x /usr/bin/mgcamd
    ;;
stop)
    killall -9 /usr/bin/mgcamd
    ;;
restart|reload)
    $0 stop
    sleep 1
    $0 start
    ;;
version)
    echo "1.45c"
    ;;
info)
    echo "mgcamd 1.45c"
    ;;
*)
    echo "Usage: $0 start|stop|restart"
    exit 1
    ;;
esac
exit 0

WaveFrontier 28.2E | 23.5E | 19.2E | 16E | 13E | 10/9E | 7E | 5E | 1W | 4/5W | 15W


Re: MGcamd 1.46 #29 WanWizard

  • PLi® Core member
  • 68,625 posts

+1,739
Excellent

Posted 31 January 2021 - 15:31

"killall -9" does not exist. It is either "killall", or "kill -9".

 

I wonder if that is all, because start-stop-deamon without a pidfile should do a SIGKILL, which is equal to "kill -9".

 

( edit: the issue is only on MIPSEL boxes, ARM doesn't seem to have this problem )


Edited by WanWizard, 31 January 2021 - 15:32.

Currently in use: VU+ Duo 4K (2xFBC S2), VU+ Solo 4K (1xFBC S2), uClan Usytm 4K Pro (S2+T2), Octagon SF8008 (S2+T2), Zgemma H9.2H (S2+T2)

Due to my bad health, I will not be very active at times and may be slow to respond. I will not read the forum or PM on a regular basis.

Many answers to your question can be found in our new and improved wiki.


Re: MGcamd 1.46 #30 alias haha

  • Senior Member
  • 361 posts

+2
Neutral

Posted 31 January 2021 - 17:27

Met de vu zero firmware van 20210125  word er gezeurd om: ./mgcamd: error while loading shared libraries: libcrypto.so.0.9.7: cannot open shared object file: No such file or directory.(deze image weer er afgegooid)

Met de firmware van 20210111 niet...(Dit is nu mijn test image)

#!/bin/sh
case "$1" in
start)
	ulimit -s 1024
	exec start-stop-daemon -S -x /usr/bin/mgcamd
	;;
stop)
	killall -9 mgcamd
	;;
restart|reload)
	$0 stop
	sleep 1
	$0 start
	;;
version)
	echo "1.46"
	;;
info)
	echo "mgcamd 1.46"
	;;
*)
	echo "Usage: $0 start|stop|restart"
	exit 1
	;;
esac
exit 0

Met deze regels in het script kan ik de softcam in openpli stoppen en starten, getest in een vu zero.
 


Edited by alias haha, 31 January 2021 - 17:29.

Vu+ duo 4K | Vu+ duo²

Zgemma H9S SE | Zgemma H9 Combo

Wavefrontier T90


Re: MGcamd 1.46 #31 WanWizard

  • PLi® Core member
  • 68,625 posts

+1,739
Excellent

Posted 31 January 2021 - 17:34

libcrypto.so.0.9.7 zit in libcrypto-compat. Die moet dus als dependency van de softcam gedefinieerd worden als dat niet zo is.

 

1.45c die in de feeds zit heeft deze dependency.


Currently in use: VU+ Duo 4K (2xFBC S2), VU+ Solo 4K (1xFBC S2), uClan Usytm 4K Pro (S2+T2), Octagon SF8008 (S2+T2), Zgemma H9.2H (S2+T2)

Due to my bad health, I will not be very active at times and may be slow to respond. I will not read the forum or PM on a regular basis.

Many answers to your question can be found in our new and improved wiki.


Re: MGcamd 1.46 #32 HPPli

  • Senior Member
  • 1,882 posts

+36
Good

Posted 31 January 2021 - 17:39

Net even vlug een vu zero geinstalleerd met openpli 8, mgcamd file gewisseld en ook deze werkt zonder problemen.

Naar welke softcam connecten jullie?

 

Startscript werkt bij mij nu wel bij/met een Vu+Duo4K welke kijkt naar een homeservertje met/via newcamd  maar heb tot op heden geen beeld. Wat staat er in mg_cfg bij jou ?



Re: MGcamd 1.46 #33 littlesat

  • PLi® Core member
  • 56,274 posts

+691
Excellent

Posted 31 January 2021 - 18:01

Opgelost?.... openatv doet hier ook een killall vandaar...

WaveFrontier 28.2E | 23.5E | 19.2E | 16E | 13E | 10/9E | 7E | 5E | 1W | 4/5W | 15W


Re: MGcamd 1.46 #34 WanWizard

  • PLi® Core member
  • 68,625 posts

+1,739
Excellent

Posted 31 January 2021 - 18:04

https://github.com/O...bcd344820fc92f2

 

Ben op dit moment een test image aan het bouwen.


Currently in use: VU+ Duo 4K (2xFBC S2), VU+ Solo 4K (1xFBC S2), uClan Usytm 4K Pro (S2+T2), Octagon SF8008 (S2+T2), Zgemma H9.2H (S2+T2)

Due to my bad health, I will not be very active at times and may be slow to respond. I will not read the forum or PM on a regular basis.

Many answers to your question can be found in our new and improved wiki.


Re: MGcamd 1.46 #35 alias haha

  • Senior Member
  • 361 posts

+2
Neutral

Posted 31 January 2021 - 18:10

mg_cfg

# EMM messages
#    00 don't show any EMMs (default)
#    01 show only valid EMMs
#    02 show valid and bad EMMs with complete data display
M: { 01 }

# ECM messages
#    00 don't show anything about ecm
#    01 normal mode, show pids processed, decoded ecm and cw
#    02 verbose mode, show valid and bad ECMs with data
C: { 01 }

# AU
#    00 disable, no emm pids processed
#    01 enable, emm pids always processed for soft-au and shared cards
#    02 auto, emm started only if channel cant be decoded
#    03 process emm pids for network cards update only
A: { 01 }

# key update (sum 01 or 02 with 04)
#    01 update only new keys, default setting
#    02 update all keys (used for valid PMK checking)
#    04 enable TPS au
#    + tps SID, which pmt pid contains au pid
U: { 02 } 0x12c0

# config files folder (softcam, autoroll, ignore/priority)
#    00 files in /var/keys
#    01 files in /tmp
T: { 00 }

# network mode, use summ for several clients
#    00 no network (default)
#    01 newcamd netclient
#    02 radegast netclient
#    04 camd3 netclient
#    08 gbox netclient
G: { 01 }

# network retry, use summ for several options
#    00 disable
#    01 retry every new ecm
#    02 try to connect to offline shares every Q: seconds
#    04 try to detect and fast reconnect to lost (and not used atm) server
#    + XX messages number and YY seconds to reconnect
#    mg will reconnect to server, if no answer to last XX ecm/keepalive or
#    if no answer for last ecm or keepalive sent for YY seconds
#    set to 0 to disable
N: { 07 } 5 30

# network ecm timeout in seconds
K: { 02 }

V: {15}

# newcamd dead routes connect retry, sec
Q: { 10 }

# network shares priority
# 00 gbox, newcamd, radegast, camd3 (default)
# 01 camd3, radegast, newcamd, gbox
# 02 newcamd, camd3, gbox, radegast
P: { 02 }

# on screen display type
#    00 No OSD (default)
#    01 neutrino
#    02 enigma
#    03 relook
#    + user password for http auth
O: { 00 } root dreambox

# on screen display Options, summ of:
#    01 show emu ecm 
#    02 show network shares messages
#    04 show decoding failed / fta
#    08 show emm keys update
#    + web port to use for osd
S: { 00 } 88

# Log option, summ of:
#    00 off
#    01 network udp log
#    02 log to console
#    04 file, appended ! delete it by yourself, before it eat all your hdd
#    + IP udp-port log-file-name
L: { 00 } 192.168.10.5 28007 /tmp/mgcamd.log

# keep ecm cache, seconds
# every cache entry takes 28 bytes, so 24h cache will take *only* 240-400kb of memory,
# for openbox/elanvision users with remote shares make sense to set it higher than default value, 
# to not hammer cards while timeshifting or playing crypted recordings.
E: { 15 }

# cache option, summ of:
#    00 Off (default)
#    01 Ecm pids cache, store pids used to decode in /tmp/ca_cache.list at exit, load at startup, same syntax as restore.list
#    02 Ecm data cache, remember CW for (E:) time 
#    04 Emm cache for network cards, do not resend the same emm twice, cache not cleared until restart
H: { 07 }

# reread files, summ of: 
#    00 No (default)
#    01 reread config file on channel change (including priority and ignore, but not replace/cache)
#    02 reread SoftCam.Key on channel change
#    04 reread SoftCam.Key if file changed
R: { 00 }

# debug, summ of
# 00 off (default)
# 01 debug ecm
# 02 debug emm
# 04 debug network ecm
# 08 debug network emm
# 16 debug network login
# 32 show mem/cpu stats every 1 min
# 64 add timestamp to log messages
D: { 00 }

# box type
# 00 autodetect, change only if you think wrong type detected.
# 01 dbox2
# 02 dreambox
# 03 triple-dragon
# 04 relook
# 05 openbox
# 06 dreambox/mips
# 08 stapi/kathrein
# 09 stapi/ipbox
# 11 stapi/openbox
B: { 06 }

# Mapping 18xx
# 00 disable mapping
# 01 map 18xx to 1801
F: { 00 }

newcamd.list

CWS_KEEPALIVE = 300

CWS = 127.0.0.1 10000 user password 01 02 03 04 05 06 07 08 09 10 11 12 13 14

En in oscam moet je bij oscam.conf invullen

[newcamd]
port                          = 10000@0000:000000
key                           = 0102030405060708091011121314
keepalive                     = 1
mgclient                      = 1

 

 

 


Vu+ duo 4K | Vu+ duo²

Zgemma H9S SE | Zgemma H9 Combo

Wavefrontier T90


Re: MGcamd 1.46 #36 foxbob

  • Senior Member
  • 612 posts

+18
Neutral

Posted 31 January 2021 - 18:37

Doesn't start,openpli-develop version.



Re: MGcamd 1.46 #37 WanWizard

  • PLi® Core member
  • 68,625 posts

+1,739
Excellent

Posted 31 January 2021 - 18:39

My build isn't finished yet. Did you test the mips or the arm version?


Currently in use: VU+ Duo 4K (2xFBC S2), VU+ Solo 4K (1xFBC S2), uClan Usytm 4K Pro (S2+T2), Octagon SF8008 (S2+T2), Zgemma H9.2H (S2+T2)

Due to my bad health, I will not be very active at times and may be slow to respond. I will not read the forum or PM on a regular basis.

Many answers to your question can be found in our new and improved wiki.


Re: MGcamd 1.46 #38 foxbob

  • Senior Member
  • 612 posts

+18
Neutral

Posted 31 January 2021 - 18:41

arm version.

oscam and ncam work.


Edited by foxbob, 31 January 2021 - 18:42.


Re: MGcamd 1.46 #39 WanWizard

  • PLi® Core member
  • 68,625 posts

+1,739
Excellent

Posted 31 January 2021 - 18:42

Ok. I'll test it on my sf8008 when the build finishes (and dinner is in the belly ;)).


Currently in use: VU+ Duo 4K (2xFBC S2), VU+ Solo 4K (1xFBC S2), uClan Usytm 4K Pro (S2+T2), Octagon SF8008 (S2+T2), Zgemma H9.2H (S2+T2)

Due to my bad health, I will not be very active at times and may be slow to respond. I will not read the forum or PM on a regular basis.

Many answers to your question can be found in our new and improved wiki.


Re: MGcamd 1.46 #40 HPPli

  • Senior Member
  • 1,882 posts

+36
Good

Posted 31 January 2021 - 19:12

Doesn't start,openpli-develop version.

Hier dus ook niet met Vu+Duo4K // Openpli 8 Develop // Mgcamd 1.46 (arm)




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users